diff --git a/snf-pithos-tools/pithos/tools/lib/client.py b/snf-pithos-tools/pithos/tools/lib/client.py
index efe40a6..86f3df6 100644
--- a/snf-pithos-tools/pithos/tools/lib/client.py
+++ b/snf-pithos-tools/pithos/tools/lib/client.py
@@ -710,18 +718,18 @@ class Pithos_Client(OOS_Client):
                         account=None, **headers):
         """returns an object"""
         account = account or self.account
-        headers={}
+        headers = {}
         l = ['range', 'if_range', 'if_match', 'if_none_match',
              'if_modified_since', 'if_unmodified_since']
         l = [elem for elem in l if eval(elem)]
         for elem in l:
-            headers.update({elem:eval(elem)})
+            headers.update({elem: eval(elem)})
         if format != 'text':
             params['hashmap'] = None
         return OOS_Client.retrieve_object(self, container, object,
                                           account=account, format=format,
                                           params=params, **headers)
-    
+
     def retrieve_object_version(self, container, object, version,
                                 format='text', range=None, if_range=None,
                                 if_match=None, if_none_match=None,
@@ -733,9 +741,9 @@ class Pithos_Client(OOS_Client):
         l = ['self', 'container', 'object']
         for elem in l:
             args.pop(elem)
-        params = {'version':version}
+        params = {'version': version}
         return self.retrieve_object(container, object, params=params, **args)
-    
+
     def retrieve_object_versionlist(self, container, object, range=None,
                                     if_range=None, if_match=None,
                                     if_none_match=None, if_modified_since=None,
@@ -746,10 +754,10 @@ class Pithos_Client(OOS_Client):
         l = ['self', 'container', 'object']
         for elem in l:
             args.pop(elem)
-        
+
         return self.retrieve_object_version(container, object, version='list',
                                             format='json', **args)
-    
+
     def create_zero_length_object(self, container, object,
                                   meta={}, etag=None, content_type=None,
                                   content_encoding=None,
@@ -763,19 +771,19 @@ class Pithos_Client(OOS_Client):
             args.pop(elem)
         return OOS_Client.create_zero_length_object(self, container, object,
                                                     **args)
-    
+
     def create_folder(self, container, name,
-                          meta={}, etag=None, 
-                          content_encoding=None,
-                          content_disposition=None,
-                          x_object_manifest=None, x_object_sharing=None,
-                          x_object_public=None, account=None):
-    	args = locals().copy()
+                      meta={}, etag=None,
+                      content_encoding=None,
+                      content_disposition=None,
+                      x_object_manifest=None, x_object_sharing=None,
+                      x_object_public=None, account=None):
+        args = locals().copy()
         for elem in ['self', 'container', 'name']:
             args.pop(elem)
         args['content_type'] = 'application/directory'
         return self.create_zero_length_object(container, name, **args)
-    
+
     def create_object(self, container, object, f=stdin, format='text',
                       meta={}, params={}, etag=None, content_type=None,
                       content_encoding=None, content_disposition=None,
@@ -787,9 +795,9 @@ class Pithos_Client(OOS_Client):
         for elem in ['self', 'container', 'object']:
             args.pop(elem)
         if format != 'text':
-            params.update({'hashmap':None})
+            params.update({'hashmap': None})
         return OOS_Client.create_object(self, container, object, **args)
-        
+
     def create_object_using_chunks(self, container, object,
                                    f=stdin, blocksize=1024, meta={}, etag=None,
                                    content_type=None, content_encoding=None,
@@ -800,47 +808,47 @@ class Pithos_Client(OOS_Client):
         account = account or self.account
         path = '/%s/%s/%s' % (account, container, object)
         headers = {}
-        l = ['etag', 'content_type', 'content_encoding', 'content_disposition', 
+        l = ['etag', 'content_type', 'content_encoding', 'content_disposition',
              'x_object_sharing', 'x_object_manifest', 'x_object_public']
         l = [elem for elem in l if eval(elem)]
         for elem in l:
-            headers.update({elem:eval(elem)})
+            headers.update({elem: eval(elem)})
         headers.setdefault('content-type', 'application/octet-stream')
-        
-        for k,v in meta.items():
+
+        for k, v in meta.items():
             v = v.strip()
-            headers['x-object-meta-%s' %k.strip()] = v
-        
+            headers['x-object-meta-%s' % k.strip()] = v
+
         return self._chunked_transfer(path, 'PUT', f, headers=headers,
                                       blocksize=blocksize)
-    
+
     def create_object_by_hashmap(self, container, object, hashmap={},
                                  meta={}, etag=None, content_encoding=None,
                                  content_disposition=None, content_type=None,
                                  x_object_sharing=None, x_object_manifest=None,
-                                 x_object_public = None, account=None):
+                                 x_object_public=None, account=None):
         """creates an object by uploading hashes representing data instead of data"""
         account = account or self.account
         args = locals().copy()
         for elem in ['self', 'container', 'object', 'hashmap']:
             args.pop(elem)
-            
+
         try:
             data = json.dumps(hashmap)
         except SyntaxError:
             raise Fault('Invalid formatting')
-        args['params'] = {'hashmap':None}
+        args['params'] = {'hashmap': None}
         args['format'] = 'json'
-        
+
         return self.create_object(container, object, f=StringIO(data), **args)
-    
+
     def create_manifestation(self, container, object, manifest, account=None):
         """creates a manifestation"""
         account = account or self.account
-        headers={'x_object_manifest':manifest}
+        headers = {'x_object_manifest': manifest}
         return self.create_object(container, object, f=None, account=account,
                                   **headers)
-    
+
     def update_object(self, container, object, f=stdin,
                       offset=None, meta={}, replace=False, content_length=None,
                       content_type=None, content_range=None,
@@ -854,9 +862,9 @@ class Pithos_Client(OOS_Client):
         for elem in ['self', 'container', 'object', 'replace']:
             args.pop(elem)
         if not replace:
-            args['params'] = {'update':None}
+            args['params'] = {'update': None}
         return OOS_Client.update_object(self, container, object, **args)
-    
+
     def update_object_using_chunks(self, container, object, f=stdin,
                                    blocksize=1024, offset=None, meta={},
                                    replace=False, content_type=None, content_encoding=None,
@@ -869,61 +877,61 @@ class Pithos_Client(OOS_Client):
         for elem in ['self', 'container', 'object', 'replace']:
             args.pop(elem)
         if not replace:
-            args['params'] = {'update':None}
+            args['params'] = {'update': None}
         return OOS_Client.update_object_using_chunks(self, container, object, **args)
-    
+
     def update_from_other_source(self, container, object, source,
-                      offset=None, meta={}, content_range=None,
-                      content_encoding=None, content_disposition=None,
-                      x_object_bytes=None, x_object_manifest=None,
-                      x_object_sharing=None, x_object_public=None, account=None):
+                                 offset=None, meta={}, content_range=None,
+                                 content_encoding=None, content_disposition=None,
+                                 x_object_bytes=None, x_object_manifest=None,
+                                 x_object_sharing=None, x_object_public=None, account=None):
         """updates an object"""
         account = account or self.account
         args = locals().copy()
         for elem in ['self', 'container', 'object', 'source']:
             args.pop(elem)
-        
+
         args['x_source_object'] = source
         return self.update_object(container, object, f=None, **args)
-    
+
     def delete_object(self, container, object, until=None, account=None, delimiter=None):
         """deletes an object or the object history until the date provided"""
         account = account or self.account
-        params = {'until':until} if until else {}
+        params = {'until': until} if until else {}
         if delimiter:
-        	params['delimiter'] = delimiter
+            params['delimiter'] = delimiter
         return OOS_Client.delete_object(self, container, object, params, account)
-    
+
     def trash_object(self, container, object):
         """trashes an object"""
         account = account or self.account
         path = '/%s/%s' % (container, object)
-        meta = {'trash':'true'}
+        meta = {'trash': 'true'}
         return self._update_metadata(path, 'object', **meta)
-    
+
     def restore_object(self, container, object, account=None):
         """restores a trashed object"""
         account = account or self.account
         return self.delete_object_metadata(container, object, account, ['trash'])
-    
+
     def publish_object(self, container, object, account=None):
         """sets a previously created object publicly accessible"""
         account = account or self.account
         path = '/%s/%s/%s' % (account, container, object)
         headers = {}
         headers['x_object_public'] = True
-        params = {'update':None}
+        params = {'update': None}
         return self.post(path, headers=headers, params=params)
-    
+
     def unpublish_object(self, container, object, account=None):
         """unpublish an object"""
         account = account or self.account
         path = '/%s/%s/%s' % (account, container, object)
         headers = {}
         headers['x_object_public'] = False
-        params = {'update':None}
+        params = {'update': None}
         return self.post(path, headers=headers, params=params)
-    
+
     def copy_object(self, src_container, src_object, dst_container, dst_object,
                     meta={}, public=False, version=None, account=None,
                     content_type=None, delimiter=None):
@@ -938,10 +946,10 @@ class Pithos_Client(OOS_Client):
                                       account=account, content_type=content_type,
                                       delimiter=delimiter,
                                       **headers)
-    
+
     def move_object(self, src_container, src_object, dst_container,
-                             dst_object, meta={}, public=False,
-                             account=None, content_type=None, delimiter=None):
+                    dst_object, meta={}, public=False,
+                    account=None, content_type=None, delimiter=None):
         """moves an object"""
         headers = {}
         headers['x_object_public'] = public
@@ -950,7 +958,7 @@ class Pithos_Client(OOS_Client):
                                       account=account, content_type=content_type,
                                       delimiter=delimiter,
                                       **headers)
-    
+
     def list_shared_by_others(self, limit=None, marker=None, format='text'):
         """lists other accounts that share objects to the user"""
         l = ['limit', 'marker']
@@ -958,46 +966,50 @@ class Pithos_Client(OOS_Client):
         for elem in [elem for elem in l if eval(elem)]:
             params[elem] = eval(elem)
         return self._list('', format, params)
-    
+
     def share_object(self, container, object, l, read=True):
         """gives access(read by default) to an object to a user/group list"""
         action = 'read' if read else 'write'
         sharing = '%s=%s' % (action, ','.join(l))
         self.update_object(container, object, f=None, x_object_sharing=sharing)
 
+
 def _prepare_path(path, format='text', params={}):
     full_path = '%s?format=%s' % (quote(path), format)
-    
-    for k,v in params.items():
+
+    for k, v in params.items():
         value = quote(str(v)) if v else ''
-        full_path = '%s&%s=%s' %(full_path, quote(k), value)
+        full_path = '%s&%s=%s' % (full_path, quote(k), value)
     return full_path
 
+
 def _prepare_headers(headers):
-    for k,v in headers.items():
+    for k, v in headers.items():
         headers.pop(k)
         k = k.replace('_', '-')
-        headers[quote(k)] = quote(v, safe='/=,:@ *"') if type(v) == types.StringType else v
+        headers[quote(k)] = quote(
+            v, safe='/=,:@ *"') if isinstance(v, types.StringType) else v
     return headers
 
+
 def _handle_response(response, verbose=False, debug=False):
     headers = response.getheaders()
-    headers = dict((unquote(h), unquote(v)) for h,v in headers)
-    
+    headers = dict((unquote(h), unquote(v)) for h, v in headers)
+
     if verbose:
         print '%d %s' % (response.status, response.reason)
         for key, val in headers.items():
             print '%s: %s' % (key.capitalize(), val)
         print
-    
+
     length = response.getheader('content-length', None)
     data = response.read(length)
     if debug:
         print data
         print
-    
+
     if int(response.status) in ERROR_CODES.keys():
         raise Fault(data, int(response.status))
-    
+
     #print '**',  response.status, headers, data, '\n'
     return response.status, headers, data
